# $Revision: 1.21 $, $Date: 2009/02/26 14:23:17 $
Summary:	Extensions for GNU Octave
Summary(pl.UTF-8):	Rozszerzenia dla GNU Octave
Name:		octave-forge
Version:	20080831
Release:	1
License:	GPL
Group:		Applications/Math
Source0:	http://dl.sourceforge.net/octave/%{name}-bundle-%{version}.tar.gz
# Source0-md5:	680ea705eb7434e219eb4a3eaffd7fba
Patch0:		%{name}-postgresql.patch
Patch1:		%{name}-mysql.patch
URL:		http://octave.sourceforge.net/
BuildRequires:	GiNaC-devel
BuildRequires:	ImageMagick-c++-devel
# for jhandlers which doesn't build :/
#BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	bash
BuildRequires:	blas-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	fftw3-devel
BuildRequires:	ftplib-devel
BuildRequires:	gcc-fortran
BuildRequires:	ghostscript
BuildRequires:	gsl-devel
BuildRequires:	hdf5-devel
BuildRequires:	jar
BuildRequires:	jdk
BuildRequires:	lapack-devel
BuildRequires:	libgcj-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
#BuildRequires:	mysql-devel
BuildRequires:	octave-devel >= 2:3.0.3-4
BuildRequires:	pcre-devel
#BuildRequires:	postgresql-devel
BuildRequires:	qhull-devel
#BuildRequires:	sqlite3-devel
BuildRequires:	swig >= 1.3.38
BuildRequires:	tetex
BuildRequires:	tetex-dvips
BuildRequires:	texinfo
BuildRequires:	texinfo-texi2dvi
#BuildRequires:	unixODBC-devel
BuildRequires:	xorg-lib-libX11-devel
Requires:	octave >= 2:3.0.3-4
Requires:	ImageMagick
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set of custom scripts, functions and extensions for GNU Octave.
octave-forge (http://octave.sf.net/) is a community project for
collaborative development of octave extensions. If you have a large
package that you want to open up to collaborative development, or a
couple of m-files that you want to contribute to an existing package,
octave-forge is the place to do it.

%description -l pl.UTF-8
Zestaw dodatkowych skryptów, funkcji i rozszerzeń dla GNU Octave.
octave-forge (http://octave.sf.net/) to społeczny projekt do wspólnego
rozwijania rozszerzeń octave. Jeśli mamy pakiet, który chcemy otworzyć
w celu wspólnego rozwijania albo zbiór plików .m, które chcemy wnieść
do istniejącego pakietu, octave-forge jest odpowiednim miejscem.

%prep
%setup -q -n %{name}-bundle-%{version}
for d in main extra; do
	cd $d
	for pkg in *.tar.gz ; do
		tar zxf $pkg
	done
	cd ..
done

# needs very old ffmpeg?
rm -rf main/video-1.0.1
# needs jogl, WTF is jogl? java sucks
rm -rf extra/jhandles-0.3.4
# If someone really wants the pain, then uncomment stuff below
rm -rf main/database-1.0.1
#patch0 -p1
#patch1 -p1
#cd main/database-1.0.1/src
#./autogen.sh
#rm mysql_wrap.cpp

%build
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"; export CFLAGS
for d in main extra; do
	cd $d
	for pkg in * ; do
		[ -d $pkg ] || continue
		cd $pkg
		if [ -e src/configure ]; then
			cd src
			%configure
			cd ..
		fi
		%{__make}
		cd ..
	done
	cd ..
done

%install
rm -rf $RPM_BUILD_ROOT

for d in main extra; do
	cd $d
	for pkg in * ; do
		[ -d $pkg ] || continue
		cd $pkg
		%{__make} install \
			DESTDIR=$RPM_BUILD_ROOT
		cd ..
	done
	cd ..
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
octave -q -H --no-site-file --eval "pkg('rebuild');"

%postun
octave -q -H --no-site-file --eval "pkg('rebuild');"

%files
%defattr(644,root,root,755)
%{_libdir}/octave/packages/*
%{_datadir}/octave/packages/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: octave-forge.spec,v $
Revision 1.21  2009/02/26 14:23:17  baggins
- rel 1

Revision 1.20  2009/02/26 11:20:49  baggins
- R,BR new octave (proper dirs and stuff)

Revision 1.19  2009/02/26 11:18:19  baggins
- merge from DEVEL

Revision 1.16.2.4  2009/02/26 11:13:53  baggins
- install, post(un) and files done

Revision 1.16.2.3  2009/02/26 01:08:54  baggins
- disable database stuff, more pain than gain
- compiles now

Revision 1.16.2.2  2009/02/25 23:53:06  baggins
- added mysql patch
- remove unmakeable modules

Revision 1.16.2.1  2009/02/25 23:28:03  baggins
- 20080831
- updated BRs
- almost compiles ;)

Revision 1.18  2009/02/08 14:27:47  arekm
- release 2

Revision 1.17  2009/02/08 13:51:59  gotar
- downgraded HEAD to 2006.07.09 (updated from rev. 1.14 with 1.16, as 1.15
  was never finished), moved 1.16 to DEVEL

Revision 1.16  2008/03/12 14:11:55  glen
- use macros

Revision 1.15  2007-12-07 22:23:55  baggins
- first attempt at new build

Revision 1.14  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.12  2006/08/12 17:39:50  ankry
- formatting

Revision 1.11.2.1  2008/03/12 15:12:10  glen
- release 2

Revision 1.11  2005-10-08 20:31:41  arekm
- up to 2005.06.13

Revision 1.10  2004/11/01 20:51:41  qboosh
- updated to 2004.09.09, BR: gsl-devel
- +x for *.oct (ELF shared objects)

Revision 1.9  2004/09/03 16:28:31  baggins
- updated to 2004.07.07 (builds with octave 2.1.57)
- removed obsolete patches (someone check if they are really obsolete
	- seem so to me)
- mv %%{_bindir}/mex %%{_bindir}/mex-octave due to conflict with
	tetex-format-mex

Revision 1.8  2004/08/03 21:29:43  qboosh
- added qhull patch, build qhull and GiNaC-based modules; release 3

Revision 1.7  2004/08/02 21:58:54  qboosh
- added make patch (fixes build on alpha)

Revision 1.6  2004/08/01 21:13:28  qboosh
- added pic patch, release 2

Revision 1.5  2004/03/28 18:48:25  gotar
- BR: hdf5-devel

Revision 1.4  2004/03/27 22:32:52  qboosh
- longer pl (based on new en)

Revision 1.3  2004/03/25 20:29:36  gotar
- upgraded to 2004.02.12 (with no_bashizm patch),
- BR: XFree86-devel, libjpeg-devel, libpng-devel, octave-devel = 2:2.1.53
  (it won't build with 2.1.57),
- changes taken from spec file shipped with sources:
 - extended en %description,
 - added -fno-use-cxa-atexit to CXXFLAGS
 - added documentation.

Revision 1.2  2003/10/16 09:38:35  zagrodzki
- remove ADD_PKG files after installation

Revision 1.1  2003/10/09 16:09:23  zagrodzki
- initial release
